Package org.pushingpixels.substance.internal.ui

# Class SubstanceInternalFrameUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.InternalFrameUI
javax.swing.plaf.basic.BasicInternalFrameUI
org.pushingpixels.substance.internal.ui.SubstanceInternalFrameUI

public class SubstanceInternalFrameUI extends BasicInternalFrameUI
UI for internal frames in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

`BasicInternalFrameUI.BasicInternalFrameListener, BasicInternalFrameUI.BorderListener, BasicInternalFrameUI.ComponentHandler, BasicInternalFrameUI.GlassPaneDispatcher, BasicInternalFrameUI.InternalFrameLayout, BasicInternalFrameUI.InternalFramePropertyChangeListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PropertyChangeListener`
`substancePropertyListener`
Property listener on the associated internal frame.

### Fields inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

`borderListener, componentListener, eastPane, frame, glassPaneDispatcher, internalFrameLayout, northPane, openMenuKey, propertyChangeListener, southPane, westPane`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceInternalFrameUI(JInternalFrame b)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`protected JComponent`
`createNorthPane(JInternalFrame w)`
`static ComponentUI`
`createUI(JComponent comp)`
`SubstanceInternalFrameTitlePane`
`getTitlePane()`
Returns the title pane of the associated internal frame.
`protected void`
`installComponents()`
`protected void`
`installListeners()`
`protected void`
`uninstallComponents()`
`protected void`
`uninstallListeners()`

### Methods inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

`activateFrame, closeFrame, createBorderListener, createComponentListener, createDesktopManager, createEastPane, createGlassPaneDispatcher, createInternalFrameListener, createLayoutManager, createPropertyChangeListener, createSouthPane, createWestPane, deactivateFrame, deiconifyFrame, deinstallMouseHandlers, getDesktopManager, getEastPane, getMaximumSize, getMinimumSize, getNorthPane, getPreferredSize, getSouthPane, getWestPane, iconifyFrame, installDefaults, installKeyboardActions, installMouseHandlers, installUI, isKeyBindingActive, isKeyBindingRegistered, maximizeFrame, minimizeFrame, replacePane, setEastPane, setKeyBindingActive, setKeyBindingRegistered, setNorthPane, setSouthPane, setupMenuCloseKey, setupMenuOpenKey, setWestPane, uninstallDefaults, uninstallKeyboardActions, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### substancePropertyListener

protected PropertyChangeListener substancePropertyListener
Property listener on the associated internal frame.

## Constructor Details

### SubstanceInternalFrameUI

public SubstanceInternalFrameUI(JInternalFrame b)
Simple constructor.

Parameters:
  `b` - Associated internal frame.

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### createNorthPane

protected JComponent createNorthPane(JInternalFrame w)

Overrides:
  `createNorthPane` in class `BasicInternalFrameUI`

### installComponents

protected void installComponents()

Overrides:
  `installComponents` in class `BasicInternalFrameUI`

### uninstallComponents

protected void uninstallComponents()

Overrides:
  `uninstallComponents` in class `BasicInternalFrameUI`

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `BasicInternalFrameUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `BasicInternalFrameUI`

### getTitlePane

public SubstanceInternalFrameTitlePane getTitlePane()
Returns the title pane of the associated internal frame. This method is for internal use only.

Returns:
  Title pane of the associated internal frame.